import { createLazyComponent } from "../../../components/lazy-loader.js";
export default createLazyComponent(async () => {
  const [stripeReact, stripe] = await Promise.all([import("@stripe/react-stripe-js"), import("@stripe/stripe-js")]);
  window.__STRIPE_COMPONENTS__ = {
    Elements: stripeReact.Elements,
    PaymentElement: stripeReact.PaymentElement,
    useElements: stripeReact.useElements,
    useStripe: stripeReact.useStripe,
    loadStripe: stripe.loadStripe,
    LinkAuthenticationElement: stripeReact.LinkAuthenticationElement
  };
  const { default: Component } = await import("./form.js");
  return Component;
});
